#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n, k, p, br=0 ;
    cin >> n >> k ;
    int niz[2*n+1] ;
    vector<int> v ;
    for(int i=0; i<2*n+2; i++){
        niz[i]=0 ;
    }
    for(int i=0; i<n; i++){
        cin >> p ;
        niz[p+n]++ ;
    }
    for(int i=0; i<2*n+2; i++){
        if(niz[i]>=k){
            v.push_back(i-n);
            br++;
        }
    }
    cout << br << endl ;
    for(int i=0; i<v.size(); i++){
        cout << v[i] << " " ;
    }
    return 0;
}